## Options for Input and Output

### Use

In command file mode or in session mode you can specify options for determining version information.

in_output_options

-o[w|a] <file_name> | Name of the output file
-cs <separator> | Specifies a command separator
-ps <number><string> | Specifies a substitution parameter
-E <number> | Maximum permitted number of errors

### Examples

Loader Tutorial, Command File Mode, Session Mode

### Explanation

#### -o[w|a] <file_name>

If you are working in command file mode, this option enables you to ensure Loader output is written into the specified file file_name . In session mode, Loader does not evaluate this option.

Default: if you do not specify the option, Loader outputs to the screen.

● Option –ow <file_name>
The file is opened for writing and any existing entries are deleted.

● Option –oa
The file is opened for writing and outputs are appended to the end of the file without any previous entries being deleted.

This option refers only to output from the Loader. Irrespective of this, the loader also writes a log file.

#### -cs <command_separator>

With this option you can determine which characters of Loader CLI are to be recognized as command_separator. A command separator completes a Loader command, which can then be processed by the Loader.

A command separator must contain at least one, at most two characters.

● Command file mode
Default: Individual commands are completed by a line, at the beginning of which there is a double forward slash //.

If you specify a command separator with the –cs option, the command is completed with this command separator.

See also: Syntax rules for a Command File

● Session mode
Default: Commands are completed by pressing ENTER.
To continue a command on the next line, the Loader CLI expects in this case a simple slash (/) at the end of the line.

If you specify a command separator with the –cs option, the command is completed with this command separator.
To continue a command on the next line, the Loader CLI expects in this case an ENTER at the end of the line.

Calling the Loader in Command File Mode

loadercli -b command.dat -d demodb -u mona,red –cs ;

#### -ps <number> <substitution_value>

You use this option to specify values for placeholders in the command file. Value number defines the numbers of the placeholder to be substituted in the command file (1<=n<=9). You use substitution_value to specify the value the placeholder is to replace. These values can be any character strings.

You can specify nine different parameters (and placeholders) for each command file. In the command file, enter the placeholder in the form &<number> .

#### -E <number>

You use this option to specify after how many commands with errors <number> the Loader stops processing the command file.

Calling the Loader in Command File Mode

loadercli -b command.dat -d demodb -u mona,red –E 20

The Loader establishes a connection to the database instance DEMOB for the user MONA. The Loader processes the commands and statements contained in the command file command.dat. If errors occur (return code <> 0), the processing of the command file is terminated as soon as 20 error messages have occurred.